API ReferenceConnected Accounts

Update a connected accountv3.1

PATCH
/api/v3.1/connected_accounts/{nanoid}

Update a connected account. Supports updating the alias and/or credentials. Only specified fields will be updated. Set a credential field to null to remove it. Alias must be unique within the same project, entity, and toolkit scope.

Authorization

ApiKeyAuth
x-api-key<token>

Project API key authentication

In: header

Path Parameters

nanoidstringRequired

The unique identifier (nanoid) of the connected account

Format: connectedAccountId

Request Body

application/json

aliasstring

A human-readable alias for this connected account. Pass an empty string to clear the alias. Must be unique per entity and toolkit within the project.

connectionobject
experimentalobjectExperimental

Experimental features - not stable, may be modified or removed in future versions.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

import requestsurl = "https://example.com/api/v3.1/connected_accounts/ca_1a2b3c4d5e6f"body = """{  "connection": {    "state": {      "authScheme": "BEARER_TOKEN",      "val": {        "token": "new_access_token"      }    }  }}"""response = requests.request("PATCH", url, data = body, headers = {  "Content-Type": "application/json"})print(response.text)
{  "success": true,  "id": "ca_1a2b3c4d5e6f",  "status": "ACTIVE"}